Retrieve a List of Records

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/records

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each record on the list

  • limit number

    maximum count of the record list

  • offset number

    skip that many record before beginning to return

  • subform_order string

    order of subform records. Use 'asc' or 'desc'.

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • created_by string
    • created_date string
    • created_device_id string
    • created_location string
    • id number Required
    • javascript_state string
    • modified_by string
    • modified_date string
    • modified_device_id string
    • modified_location string
    • parent_element_id number
    • parent_page_id number
    • parent_record_id number
    • server_modified_date string
GET /profiles/{profile_id}/pages/{page_id}/records
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/records' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 7
  },
  {
    "id": 4
  },
  {
    "id": 1
  }
]